/* Copyright Howard Cheng (ACM ICPC ECNA 1999) */

#include <stdio.h>
#include <assert.h>

int main(void)
{
  int b, t, sum, n, i;
  char s[1024];

  while ((t = scanf("%d", &b)) == 1 && b) {
    assert(2 <= b && b <= 10);
    scanf("%s", s);
    sum = n = 0;
    for (i = 0; s[i]; i++) {
      assert(n || s[i] != '0');
      sum += s[i] - '0';
      n = n * b + (s[i] - '0');
      assert(n >= 0);
      assert('0' <= s[i] && s[i] < '0' + b);
    }
    assert(n > 0 && sum > 0);
    if (n % sum == 0) {
      printf("yes\n");
    } else {
      printf("no\n");
    }
  }
  assert(t == 1);
  return 0;
}
